> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emite.do/llms.txt
> Use this file to discover all available pages before exploring further.

# List Certificates



## OpenAPI

````yaml /openapi/public-v1.json get /api/v1/client/certificates
openapi: 3.1.0
info:
  title: emite.do API
  description: >-
    API pública para emitir, consultar y operar e-CF ante la DGII. Autenticación
    por header X-API-Key. El POST /api/v1/ecf no promete el estado fiscal final:
    consulta o webhook.
  version: 1.0.0
servers:
  - url: https://api.emite.do
    description: Producción
security:
  - ApiKeyAuth: []
paths:
  /api/v1/client/certificates:
    get:
      tags:
        - client
      summary: List Certificates
      operationId: list_certificates_api_v1_client_certificates_get
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientCertificateResponse'
                title: Response List Certificates Api V1 Client Certificates Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ClientCertificateResponse:
      properties:
        public_id:
          type: string
          title: Public Id
        alias:
          type: string
          title: Alias
        environment:
          type: string
          title: Environment
        subject_cn:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject Cn
        issuer:
          anyOf:
            - type: string
            - type: 'null'
          title: Issuer
        serial_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Serial Number
        not_before:
          type: string
          format: date-time
          title: Not Before
        not_after:
          type: string
          format: date-time
          title: Not After
        is_active:
          type: boolean
          title: Is Active
        uploaded_at:
          type: string
          format: date-time
          title: Uploaded At
        days_until_expiry:
          type: integer
          title: Days Until Expiry
      type: object
      required:
        - public_id
        - alias
        - environment
        - subject_cn
        - issuer
        - serial_number
        - not_before
        - not_after
        - is_active
        - uploaded_at
        - days_until_expiry
      title: ClientCertificateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key de la empresa. Se muestra una sola vez al crearla.

````